#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xd86fea1f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x6621bc5d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x1ebb65f9, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xb7c2aaa9, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xc8821bd7, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x921b4b13, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xc4123c98, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x590a1993, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x0c2c1e45, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1d08b81f, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xde14de96, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x6a4c1dd2, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x81cca6df, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x9ded8e7f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x4e626aec, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x0d24ab6d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x4f8a13db, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x1e2c78b1, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0xb04befa8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3129d1ac, "drm_client_register" },
	{ 0xf4ef394a, "try_module_get" },
	{ 0xa18cad70, "drm_fb_helper_init" },
	{ 0x69b173ea, "drm_fb_helper_debug_enter" },
	{ 0xabf0377d, "ww_mutex_lock_interruptible" },
	{ 0x499af0d8, "vmf_insert_pfn" },
	{ 0x8da86ab1, "vmemmap" },
	{ 0xbe8c7aa8, "drm_gem_get_pages" },
	{ 0xd987c9f, "dma_buf_vmap" },
	{ 0x5b0edec4, "drm_client_buffer_vmap" },
	{ 0xf7fe2b10, "drm_fb_helper_lastclose" },
	{ 0xeab11a20, "drm_fb_helper_setcmap" },
	{ 0xf5017037, "drm_fb_helper_alloc_info" },
	{ 0xe9470c03, "drm_helper_disable_unused_functions" },
	{ 0x1c4805c6, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xea2ad637, "drm_fb_helper_fini" },
	{ 0xa6f55585, "drm_client_framebuffer_delete" },
	{ 0xe0dbd6d1, "drm_client_framebuffer_create" },
	{ 0x4002d4e6, "invalidate_mapping_pages" },
	{ 0x5e3c2f22, "ww_mutex_unlock" },
	{ 0xb4adbdae, "drm_fb_helper_deferred_io" },
	{ 0xb3ee71c0, "drm_fb_helper_release_info" },
	{ 0x9215f8eb, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x32257f5f, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xb687e6f5, "drm_driver_legacy_fb_format" },
	{ 0x5db9bfc2, "drm_fb_helper_fill_info" },
	{ 0x6814aede, "drm_gem_create_mmap_offset" },
	{ 0xaa53db76, "fb_deferred_io_init" },
	{ 0xaa3c2227, "fb_deferred_io_cleanup" },
	{ 0x21739ff2, "drm_gem_object_init" },
	{ 0x6649cd1f, "dev_driver_string" },
	{ 0xcee83f68, "drm_fb_helper_hotplug_event" },
	{ 0x569652bf, "fb_sys_write" },
	{ 0x9f3d64c, "sys_imageblit" },
	{ 0x8cbe6cfd, "drm_fb_helper_damage_range" },
	{ 0x783643a1, "drm_fb_helper_blank" },
	{ 0xaddbe04d, "drm_gem_private_object_init" },
	{ 0x89b608da, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x105b288a, "drm_fb_helper_damage_area" },
	{ 0xc0b4b414, "sys_fillrect" },
	{ 0x33702a51, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf23d9db2, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x10816e9c, "drm_gem_vm_close" },
	{ 0x31967d62, "drm_gem_vm_open" },
	{ 0x976a32c, "drm_fb_helper_prepare" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x98894d76, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4bdd5486, "drm_gem_object_release" },
	{ 0xdd145b75, "ww_mutex_lock" },
	{ 0x20c51528, "vmap" },
	{ 0xb7494be4, "drm_gem_handle_create" },
	{ 0x198bbaf0, "drm_gem_fb_get_obj" },
	{ 0x5911d9cf, "__drm_dev_dbg" },
	{ 0xc0c48bae, "drm_prime_pages_to_sg" },
	{ 0x43fcbdd, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x402aeac2, "drm_fb_helper_pan_display" },
	{ 0x40bce939, "dma_buf_vunmap" },
	{ 0xbb780113, "drm_client_release" },
	{ 0xa6736c37, "sys_copyarea" },
	{ 0x5b5d51e6, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xbd1fe864, "dma_map_sgtable" },
	{ 0xad462cb1, "drm_gem_free_mmap_offset" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x32c9ff75, "drm_client_buffer_vunmap" },
	{ 0x11bc307b, "fb_sys_read" },
	{ 0x174ccbd3, "drm_fb_helper_debug_leave" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xa2eb5205, "dma_unmap_sg_attrs" },
	{ 0xc96c6d44, "drm_fb_helper_initial_config" },
	{ 0xf21ded09, "drm_fb_helper_unregister_info" },
	{ 0xaeb4a6b8, "drm_gem_put_pages" },
	{ 0x1a27dfc8, "drm_gem_private_object_fini" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0xc77d42fe, "drm_fb_helper_ioctl" },
	{ 0xd0ab8e45, "drm_fb_helper_set_par" },
	{ 0x26099496, "drm_prime_gem_destroy" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2F0573E14B59EF3AEE238D9");
MODULE_INFO(rhelversion, "10.1");
