#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_query_netdev_port, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_FUNC(ib_dispatch_port_state_event, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x09c11771, "");
SYMBOL_CRC(__ib_alloc_pd, 0xf4129cdc, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x8cb99055, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xb1503dfe, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xac9ca193, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x819ca775, "");
SYMBOL_CRC(rdma_create_ah, 0x8777511f, "");
SYMBOL_CRC(rdma_create_user_ah, 0x29f18e02, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x6e10cfdc, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x3fb3406c, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xa995622a, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x23d2606d, "");
SYMBOL_CRC(rdma_modify_ah, 0xe7c5f0ef, "");
SYMBOL_CRC(rdma_query_ah, 0x126cce1b, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x76b4fb37, "");
SYMBOL_CRC(ib_create_srq_user, 0x5e8f36e2, "");
SYMBOL_CRC(ib_modify_srq, 0x8a4d451a, "");
SYMBOL_CRC(ib_query_srq, 0xb997d739, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xf8c99b28, "");
SYMBOL_CRC(ib_open_qp, 0x6f492617, "");
SYMBOL_CRC(ib_create_qp_user, 0x049d266c, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xb50ea1a6, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x0df9b1f4, "");
SYMBOL_CRC(ib_create_qp_kernel, 0xf7dd4bf6, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x41b9a5d9, "");
SYMBOL_CRC(ib_get_eth_speed, 0x311feb4b, "");
SYMBOL_CRC(ib_modify_qp, 0xe6f94557, "");
SYMBOL_CRC(ib_query_qp, 0x3688f272, "");
SYMBOL_CRC(ib_close_qp, 0x5cd5ecc7, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x3957cd9a, "");
SYMBOL_CRC(__ib_create_cq, 0x4ed31291, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xdffbf543, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x14a4298d, "");
SYMBOL_CRC(ib_resize_cq, 0xf837e820, "");
SYMBOL_CRC(ib_reg_user_mr, 0x1057e2bf, "");
SYMBOL_CRC(ib_advise_mr, 0xdd872d5d, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x6cb951e3, "");
SYMBOL_CRC(ib_alloc_mr, 0x6a35e364, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x17f87043, "");
SYMBOL_CRC(ib_attach_mcast, 0xbc863b6b, "");
SYMBOL_CRC(ib_detach_mcast, 0xf477abc5, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x7f698d82, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xa224e9dd, "");
SYMBOL_CRC(ib_create_wq, 0x4a09d684, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x3db02da1, "");
SYMBOL_CRC(ib_check_mr_status, 0xd42c1662, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x9428a1bd, "");
SYMBOL_CRC(ib_get_vf_config, 0x9ed36167, "");
SYMBOL_CRC(ib_get_vf_stats, 0x3069caab, "");
SYMBOL_CRC(ib_set_vf_guid, 0xd2ff66e0, "");
SYMBOL_CRC(ib_get_vf_guid, 0x240ae413, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xe1f6f084, "");
SYMBOL_CRC(ib_map_mr_sg, 0x6ac718af, "");
SYMBOL_CRC(ib_sg_to_pages, 0xcf551e02, "");
SYMBOL_CRC(ib_drain_sq, 0x7ba8b2c0, "");
SYMBOL_CRC(ib_drain_rq, 0x377e63b8, "");
SYMBOL_CRC(ib_drain_qp, 0x5dc43611, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xb18003c3, "");
SYMBOL_CRC(rdma_init_netdev, 0x7aa40e8a, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0x7436a8d7, "");
SYMBOL_CRC(__ib_alloc_cq, 0x6643d3d8, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xf6920783, "");
SYMBOL_CRC(ib_free_cq, 0x31a149ba, "");
SYMBOL_CRC(ib_cq_pool_get, 0xb3d72e57, "");
SYMBOL_CRC(ib_cq_pool_put, 0xf2bf1810, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xb9cba0b4, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xf7325551, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x661d68ca, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xe54cd172, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x965d3c4a, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x83b6daa5, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x364b16ce, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x130c1ae8, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x31a9b0a8, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x4c4da69c, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x3aed2fc0, "");
SYMBOL_CRC(ibdev_emerg, 0x5020f547, "");
SYMBOL_CRC(ibdev_alert, 0x7102efad, "");
SYMBOL_CRC(ibdev_crit, 0xf4a76a9c, "");
SYMBOL_CRC(ibdev_err, 0x357f1f07, "");
SYMBOL_CRC(ibdev_warn, 0xad782b45, "");
SYMBOL_CRC(ibdev_notice, 0x18686732, "");
SYMBOL_CRC(ibdev_info, 0x3a819f5b, "");
SYMBOL_CRC(ib_device_put, 0x54b788cf, "");
SYMBOL_CRC(ib_device_get_by_name, 0x772e7336, "");
SYMBOL_CRC(_ib_alloc_device, 0x037cd6ce, "");
SYMBOL_CRC(ib_dealloc_device, 0x9a2afb27, "");
SYMBOL_CRC(ib_port_immutable_read, 0x0aa5752e, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x3b96fbfd, "");
SYMBOL_CRC(ib_register_device, 0xec44a2cc, "");
SYMBOL_CRC(ib_unregister_device, 0x36ad5021, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xa87334da, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xe4d2e759, "");
SYMBOL_CRC(ib_register_client, 0xfc7888ce, "");
SYMBOL_CRC(ib_unregister_client, 0x0d7c3f22, "");
SYMBOL_CRC(ib_set_client_data, 0xf4cf1b39, "");
SYMBOL_CRC(ib_register_event_handler, 0x6a9d4984, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x9ab00230, "");
SYMBOL_CRC(ib_query_port, 0xaebc9f51, "");
SYMBOL_CRC(ib_device_set_netdev, 0xbafabe6c, "");
SYMBOL_CRC(ib_device_get_netdev, 0x7924f432, "");
SYMBOL_CRC(ib_query_netdev_port, 0x9299185d, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x4e1f279d, "");
SYMBOL_CRC(ib_query_pkey, 0x44a76449, "");
SYMBOL_CRC(ib_modify_device, 0x9221687b, "");
SYMBOL_CRC(ib_modify_port, 0x2b8b27e4, "");
SYMBOL_CRC(ib_find_gid, 0xaf81546f, "");
SYMBOL_CRC(ib_find_pkey, 0xe7957248, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x98a85acd, "");
SYMBOL_CRC(ib_set_device_ops, 0x3edd4aff, "");
SYMBOL_CRC(ib_add_sub_device, 0xb4c481a9, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0xaebcd1c3, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xf3cf0890, "");
SYMBOL_CRC(ib_dispatch_port_state_event, 0xfe0fa1f6, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x926cf8dd, "");
SYMBOL_CRC(rdma_query_gid, 0x34c0fa62, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x54b6f48f, "");
SYMBOL_CRC(rdma_find_gid, 0x3edb1522, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x9030baef, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xbc0a0b22, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x5a1bb81c, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x54c5863e, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x02d3548e, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xbecb201f, "");
SYMBOL_CRC(rdma_query_gid_table, 0x58a8c15a, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x0cfffa22, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xa919d4a5, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xa7ce8548, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x393ff438, "");
SYMBOL_CRC(ib_dispatch_event, 0xc64cff28, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x910fff9f, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xd728e4e0, "");
SYMBOL_CRC(ibnl_put_attr, 0x1ddd0506, "");
SYMBOL_CRC(rdma_nl_unicast, 0x54dd757f, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x9cafc760, "");
SYMBOL_CRC(rdma_nl_multicast, 0xed5471f3, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x3017a740, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x19542e60, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x004de91c, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x289c9d69, "");
SYMBOL_CRC(ib_mr_pool_get, 0xecc09edb, "");
SYMBOL_CRC(ib_mr_pool_put, 0x97c97df7, "");
SYMBOL_CRC(ib_mr_pool_init, 0x0c05820a, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xa1f4a525, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x97685c75, "");
SYMBOL_CRC(rdma_translate_ip, 0x5a93be69, "");
SYMBOL_CRC(rdma_resolve_ip, 0x8e607b09, "");
SYMBOL_CRC(rdma_addr_cancel, 0x61733ffa, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x31c0d8a0, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x2c398f61, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x96659606, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x7db03b9b, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xfa9acf98, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x6baaf241, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x48f18643, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x442bb7b8, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x01c67137, "");
SYMBOL_CRC(ib_create_send_mad, 0x2f104fe9, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x90627095, "");
SYMBOL_CRC(ib_free_send_mad, 0xd087ac2d, "");
SYMBOL_CRC(ib_post_send_mad, 0xde28cd92, "");
SYMBOL_CRC(ib_free_recv_mad, 0xc2fd9170, "");
SYMBOL_CRC(ib_modify_mad, 0x5f8e808a, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xb35328dd, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xbfd08ff9, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x9773c6ee, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x6019083f, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x4d084517, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xdc0ddb6b, "");
SYMBOL_CRC(rdma_link_register, 0x0271cda3, "");
SYMBOL_CRC(rdma_link_unregister, 0xf374718b, "");
SYMBOL_CRC(rdma_restrack_count, 0xa46e2e3b, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x49a2cd54, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xdbaa2b9d, "");
SYMBOL_CRC(rdma_restrack_new, 0xa732a041, "");
SYMBOL_CRC(rdma_restrack_add, 0x9215a3f6, "");
SYMBOL_CRC(rdma_restrack_get, 0x1662453d, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x9348e902, "");
SYMBOL_CRC(rdma_restrack_put, 0x9627cf91, "");
SYMBOL_CRC(rdma_restrack_del, 0x4c0aeec1, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x9660233a, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xb3343613, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xb0b8845c, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x228a284f, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x11060bb1, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x403c4019, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x5d9aad4d, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x372cddac, "");
SYMBOL_CRC(ib_create_qp_security, 0x6bb154e4, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x353783f5, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x04eae3a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf2aabae6, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8da86ab1, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x17c972d0, "rdmacg_try_charge" },
	{ 0xfd38b34d, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xedeaa7cd, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xed6b7e73, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xee75cf89, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x9f87a02b, "dev_set_name" },
	{ 0xa44fc64a, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19675713, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xac9f61e, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x2e84f56d, "__trace_trigger_soft_disabled" },
	{ 0x93e06d3, "__kmalloc_node_noprof" },
	{ 0x9716c53f, "dma_unmap_page_attrs" },
	{ 0xd8b3b723, "trace_event_printf" },
	{ 0x4f131e92, "__ip_dev_find" },
	{ 0x310438ef, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x6952b435, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x519d9222, "xas_find" },
	{ 0x38edfa0f, "kobject_init" },
	{ 0x4d255c2e, "device_initialize" },
	{ 0xa8f4760e, "__dynamic_ibdev_dbg" },
	{ 0x3e18f2e0, "sysfs_create_groups" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8188821e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x816e81e2, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xfda3f2b, "in6_dev_finish_destroy" },
	{ 0xadd6857d, "__netlink_kernel_create" },
	{ 0xfa36eb85, "bpf_trace_run2" },
	{ 0x3080e149, "ip_route_output_flow" },
	{ 0xd4733a84, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x734879f1, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x359f3f03, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xaa4f3a0d, "netlink_broadcast_filtered" },
	{ 0x5fae3f37, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6649cd1f, "dev_driver_string" },
	{ 0xb009329e, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x9bb6981a, "dma_map_page_attrs" },
	{ 0xb86f922f, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb4becb5d, "put_device" },
	{ 0xc8b53807, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x51279922, "__alloc_skb" },
	{ 0x3b3bf3b8, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x72830544, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x7a18ee60, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xfc1f784b, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x98894d76, "_dev_err" },
	{ 0x88d447a9, "init_net" },
	{ 0xc9e2f0ba, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0xf5045694, "ipv6_stub" },
	{ 0x48b821eb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6db91136, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2de8e061, "sk_skb_reason_drop" },
	{ 0x931f4231, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x82be3b17, "dev_get_by_index" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x56c1e4dd, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xa9b7e755, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x45deb292, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x12b90e8a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2d4415c, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe75b4e5c, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x6a659799, "bpf_trace_run1" },
	{ 0x17ac2f39, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x58685249, "netdev_get_xmit_slave" },
	{ 0x77147968, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xa600f78a, "__neigh_event_send" },
	{ 0xcfdf5e38, "dev_printk_emit" },
	{ 0x4c438170, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x63f08dc9, "skb_trim" },
	{ 0xb6fd63bc, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x831343d2, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe1ded608, "bpf_trace_run3" },
	{ 0x72437141, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xdfd89699, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x48428502, "neigh_destroy" },
	{ 0x67cc7058, "kobject_del" },
	{ 0x9e0eebd9, "trace_event_buffer_reserve" },
	{ 0xbd1fe864, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x353647c8, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd8f5dd30, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x5a6fa79f, "dev_get_by_name" },
	{ 0x88a01bdd, "netlink_ns_capable" },
	{ 0x896bc5a5, "dst_release" },
	{ 0x28dd4247, "kobject_uevent" },
	{ 0x4abad720, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x639de2b2, "vlan_dev_vlan_id" },
	{ 0xa2eb5205, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xef046af3, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8c1a6939, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xecdae829, "netlink_has_listeners" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x77b0b846, "register_pernet_device" },
	{ 0x3709a6c3, "get_net_ns_by_fd" },
	{ 0x1bcdabee, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa9a021ef, "kobject_put" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA962B23F41D1156D5CB9BE");
MODULE_INFO(rhelversion, "10.1");
