#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x2cff612a, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x829b1358, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc17f0beb, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xdf95fb37, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xa94e6015, "ether_setup" },
	{ 0xe75b4e5c, "__ethtool_get_link_ksettings" },
	{ 0xc7ab943a, "ethtool_get_ts_info_by_layer" },
	{ 0x88d447a9, "init_net" },
	{ 0x6ef48391, "generic_hwtstamp_set_lower" },
	{ 0xd7d9435, "generic_hwtstamp_get_lower" },
	{ 0xec0a5f05, "dev_mc_del" },
	{ 0x81d81cac, "dev_uc_del" },
	{ 0xe70e25e8, "dev_mc_add_excl" },
	{ 0x4dc6db68, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xeb6e531e, "__netpoll_free" },
	{ 0xd998c207, "vlan_vid_del" },
	{ 0x2a8d2f00, "vlan_vid_add" },
	{ 0x7ef2bdd8, "dev_uc_sync" },
	{ 0x7155ffcd, "dev_mc_sync" },
	{ 0x5fba5a7c, "dev_set_allmulti" },
	{ 0xf9d7ea60, "dev_set_promiscuity" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xa1f31c8f, "dev_uc_unsync" },
	{ 0xe94d580, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa597a0ef, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x78bb41dc, "rtnl_link_unregister" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff182e8, "nla_put" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0x88d36ca6, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x82ed1083, "unregister_netdevice_queue" },
	{ 0xd8cdd429, "netdev_upper_dev_unlink" },
	{ 0xb0b53a57, "dev_addr_mod" },
	{ 0xfccadab9, "dev_uc_add" },
	{ 0x419d6c41, "dev_set_mac_address" },
	{ 0xe5d97f79, "dev_set_mtu" },
	{ 0x6ad78245, "netif_inherit_tso_max" },
	{ 0xb8fdb2b6, "netdev_update_features" },
	{ 0xd1f19566, "netif_stacked_transfer_operstate" },
	{ 0x140723b3, "call_netdevice_notifiers" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb5c6fb46, "skb_clone" },
	{ 0xdbe1d22a, "netif_rx" },
	{ 0x7f37fdc0, "__dev_forward_skb" },
	{ 0xd180826d, "__dev_queue_xmit" },
	{ 0xf55a8d21, "dev_forward_skb" },
	{ 0xe59c7996, "netpoll_send_skb" },
	{ 0x465ae9b2, "__netif_rx" },
	{ 0x3dcfedba, "ip_check_defrag" },
	{ 0x2de8e061, "sk_skb_reason_drop" },
	{ 0x13715782, "consume_skb" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161485f6, "netdev_core_stats_inc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x19ce5d15, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa1e85ebc, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x4d6e45d1, "netdev_is_rx_handler_busy" },
	{ 0xa2a2ccca, "netdev_rx_handler_register" },
	{ 0x2776694d, "register_netdevice" },
	{ 0xf764793d, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x21453713, "linkwatch_fire_event" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x22e9f3b2, "passthru_features_check" },
	{ 0x9fb6ca24, "eth_validate_addr" },
	{ 0xd0c6d666, "ndo_dflt_fdb_dump" },
	{ 0x3454b8e3, "eth_header_parse" },
	{ 0xd54ba986, "eth_header_cache" },
	{ 0x50d3e559, "eth_header_cache_update" },
	{ 0xd396969, "eth_header_parse_protocol" },
	{ 0x675f8251, "ethtool_op_get_link" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98292FAC60C148AE0574101");
MODULE_INFO(rhelversion, "10.1");
