#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xbd42904b, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xb9c3150a, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xc9dc05e8, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xbc6f405e, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x42c5b40c, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x314c6851, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xb9bb3598, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xfc353d5d, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x21942376, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x8162fe7a, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x6495ed77, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x1eabe9e5, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xc6bf4bad, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x884975f8, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x82fccdd6, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xed5d36d6, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x6b924bda, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x016fc267, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x1c4a15e7, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x87574388, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xc39c9415, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x9d13864c, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xaf66ec65, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xfa138180, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x97c64c84, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x8696522f, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x5bc2e3d8, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x7e71f6f6, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xbad34702, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x53567842, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x5babe966, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x0a8d78cd, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x462a3650, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x7e2e7f9b, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xd0b04a0d, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x7dc7b869, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x2e17b45e, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x6366ed99, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x019bc4a3, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x872b4230, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x2ab44ec2, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xbbad8de1, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x3feeb583, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xb5245088, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x96afa1fe, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xa45a204d, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x53ac6c6c, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xfc095161, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xe1888797, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xd37a873d, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xfe2cab66, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xc312a6e2, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x6c1f8895, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x9d0c59d6, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xd8fadf89, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xdf3989e6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x9ac59b9c, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xdff5f2df, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x6f33ff63, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x2870762d, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xed82d812, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xde570f5e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa0690a7, "set_capacity_and_notify" },
	{ 0x192c05ac, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7421582a, "set_disk_ro" },
	{ 0x9ea6fccb, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf4ef394a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8da86ab1, "vmemmap" },
	{ 0xd7eb1cb0, "blk_rq_integrity_map_user" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xe6d5a8f2, "device_remove_file_self" },
	{ 0x4144a1e8, "param_ops_uint" },
	{ 0x9929f6df, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x9f87a02b, "dev_set_name" },
	{ 0x3b6d0626, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xa54a411e, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19675713, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x6e5a449f, "blk_mq_tagset_wait_completed_request" },
	{ 0xd05d63b, "cdev_device_del" },
	{ 0x2e84f56d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x4e66a737, "queue_limits_stack_bdev" },
	{ 0xd8b3b723, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x4d255c2e, "device_initialize" },
	{ 0x8ed70cf0, "blk_mq_unquiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xb6a6674a, "blk_mq_quiesce_queue" },
	{ 0x8188821e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x82f79c7f, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x498e242, "__traceiter_block_bio_remap" },
	{ 0x7ac0040, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa36eb85, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xd2591c29, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x81f5b853, "param_ops_byte" },
	{ 0xd4733a84, "get_device" },
	{ 0x79aa0b0e, "blk_mq_end_request" },
	{ 0x33fe1e95, "__blk_mq_alloc_disk" },
	{ 0x734879f1, "__dynamic_dev_dbg" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x628bea7c, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4183cc99, "blk_mq_alloc_tag_set" },
	{ 0x5432357b, "blk_rq_is_poll" },
	{ 0xb009329e, "trace_event_buffer_commit" },
	{ 0xf554a392, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xb2b2349, "put_disk" },
	{ 0x793d8f1a, "crypto_alloc_kpp" },
	{ 0xcf89a413, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7a159c95, "blk_execute_rq" },
	{ 0xb4becb5d, "put_device" },
	{ 0xb3edcc26, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x89a1e267, "blk_mq_free_request" },
	{ 0xd93b25fa, "__free_pages" },
	{ 0x98adb2c5, "_dev_info" },
	{ 0x1f2e88f3, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x33702a51, "module_put" },
	{ 0xca5d494, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x8ff7d40f, "nvme_auth_gen_pubkey" },
	{ 0xf4a856cb, "blk_rq_poll" },
	{ 0x77a70ab5, "blk_mq_quiesce_tagset" },
	{ 0x215d1593, "mempool_alloc_noprof" },
	{ 0x2562d353, "kobject_uevent_env" },
	{ 0x3e85a8ff, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xfc1f784b, "perf_trace_run_bpf_submit" },
	{ 0x98894d76, "_dev_err" },
	{ 0xc0e35832, "blk_revalidate_disk_zones" },
	{ 0x55973756, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6db91136, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x30ba37d9, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe6f3cb02, "sysfs_remove_link" },
	{ 0xd498a5ca, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x69f187a8, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x8cfb6f3b, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7914c6b2, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x94292f91, "blk_sync_queue" },
	{ 0xea672080, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xa9b7e755, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56cd27, "blk_mq_alloc_request_hctx" },
	{ 0x4d144f20, "__io_uring_cmd_do_in_task" },
	{ 0x8a93d1ca, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9bbed58b, "crypto_shash_update" },
	{ 0x12b90e8a, "class_unregister" },
	{ 0x2c02de0, "blk_mq_free_tag_set" },
	{ 0x60716053, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xa98eca8, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x824523f4, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x5f0ac51f, "blk_put_queue" },
	{ 0x6a659799, "bpf_trace_run1" },
	{ 0x17ac2f39, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x77147968, "_dev_warn" },
	{ 0x440d3812, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb8e9e522, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x35e290a5, "__kmem_cache_create_args" },
	{ 0x88c2601e, "io_uring_cmd_done" },
	{ 0x629e07b5, "blk_rq_unmap_user" },
	{ 0x50b9dd87, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbe969855, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xe1ded608, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x723d56c5, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9e0eebd9, "trace_event_buffer_reserve" },
	{ 0x46668940, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfc977dca, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x353647c8, "param_ops_bool" },
	{ 0x72200a9d, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x79cac7e1, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x2a2239c1, "disk_live" },
	{ 0x266294c, "mempool_destroy" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0xcbd788a, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x66463e32, "alloc_pages_noprof" },
	{ 0xea19d165, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x38ab288b, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2af9454f, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x189fc0e, "blk_mark_disk_dead" },
	{ 0xf8da7c08, "blk_mq_freeze_queue_nomemsave" },
	{ 0x3c9ba08d, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x135f7418, "crypto_alloc_shash" },
	{ 0xd907f33d, "blk_mq_freeze_queue_wait" },
	{ 0x2c57b883, "nvme_auth_gen_privkey" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x62d21233, "blk_mq_requeue_request" },
	{ 0x1bcdabee, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8daa075f, "cdev_init" },
	{ 0x13f20310, "bdev_end_io_acct" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0x1d79f6d6, "blk_steal_bios" },
	{ 0xb682731b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "8CE07E3BDB9A791B3980E24");
MODULE_INFO(rhelversion, "10.1");
