#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x9fe77d98, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xbf8fdee9, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xf47cc2ee, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x623fa07d, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x49e5f17b, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x7b6f08df, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xe1ad5944, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xa2142ad3, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x9fb941be, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x89288b77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa169b131, "dst_cache_set_ip4" },
	{ 0x6fbf32ff, "kernel_bind" },
	{ 0x6b493e0, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d604835, "netdev_warn" },
	{ 0x8eaf7dc4, "udp_tunnel_nic_ops" },
	{ 0x3080e149, "ip_route_output_flow" },
	{ 0xf5045694, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x381bc4b2, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf9c23839, "iptunnel_xmit" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x21c83b40, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x63f08dc9, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9580b2d3, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x84db58c2, "dst_cache_get_ip4" },
	{ 0x13def3dd, "sock_create_kern" },
	{ 0x140723b3, "call_netdevice_notifiers" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd1391a90, "metadata_dst_alloc" },
	{ 0x896bc5a5, "dst_release" },
	{ 0xd79a73ab, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9f2a51e, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DACA5850397D94AAFBE6EC8");
MODULE_INFO(rhelversion, "10.1");
