#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x4bc25533, "");
SYMBOL_CRC(netfs_read_folio, 0xe8f848f2, "");
SYMBOL_CRC(netfs_write_begin, 0x878c72de, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xc2b3407c, "");
SYMBOL_CRC(netfs_file_read_iter, 0x13c7a90f, "");
SYMBOL_CRC(netfs_perform_write, 0xc874e487, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0xc778d57d, "");
SYMBOL_CRC(netfs_file_write_iter, 0x4494ad39, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x5264e62d, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x7a40b619, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0xedca66c7, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0xb9281d95, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0xd1d5ea74, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x2e1d2292, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0xa3d443a6, "");
SYMBOL_CRC(netfs_start_io_read, 0x8dec0e76, "");
SYMBOL_CRC(netfs_end_io_read, 0x653a598d, "");
SYMBOL_CRC(netfs_start_io_write, 0xf166cd1f, "");
SYMBOL_CRC(netfs_end_io_write, 0xdbe130dc, "");
SYMBOL_CRC(netfs_start_io_direct, 0x6c2dae8c, "");
SYMBOL_CRC(netfs_end_io_direct, 0x6e6aba7b, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0x394479e4, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0x9a681492, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x564d11a0, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x12765bcd, "");
SYMBOL_CRC(netfs_invalidate_folio, 0x28c696fc, "");
SYMBOL_CRC(netfs_release_folio, 0x940c39e4, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0x77440d7b, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0x01642533, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x50b9b4e5, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xa9c6c400, "");
SYMBOL_CRC(netfs_writepages, 0x32f2ce0e, "");
SYMBOL_CRC(netfs_stats_show, 0x35bc3342, "");
SYMBOL_CRC(fscache_addremove_sem, 0xf68b44dc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xff20eabd, "");
SYMBOL_CRC(fscache_acquire_cache, 0xad2c6c84, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xdd636717, "");
SYMBOL_CRC(fscache_add_cache, 0xe1c1607a, "");
SYMBOL_CRC(fscache_io_error, 0x1aee4965, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x2514606a, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xe6ee8ac2, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xb900f4d5, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x19dccdc7, "");
SYMBOL_CRC(fscache_caching_failed, 0x00d77c81, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x3b1f445b, "");
SYMBOL_CRC(__fscache_use_cookie, 0x80ac4340, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x6d577ba7, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xb3bc3045, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x36457cb0, "");
SYMBOL_CRC(fscache_put_cookie, 0x93c835fd, "");
SYMBOL_CRC(fscache_get_cookie, 0xe873c706, "");
SYMBOL_CRC(__fscache_invalidate, 0x4c993619, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x4c78bc23, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xcf4387b0, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x416b6aaf, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x9099ee6d, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xf1faf959, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xb18d45d2, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x24072dc0, "");
SYMBOL_CRC(fscache_end_volume_access, 0x505f3736, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x418f56d7, "");
SYMBOL_CRC(fscache_put_volume, 0x6b85ec84, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x2896c785, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xc7d2ef58, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x684b23df, "vfs_fsync_range" },
	{ 0x5eecf4ad, "wbc_detach_inode" },
	{ 0x8da86ab1, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xedeaa7cd, "bpf_trace_run4" },
	{ 0xf0e293e9, "kiocb_write_and_wait" },
	{ 0x4144a1e8, "param_ops_uint" },
	{ 0x5de48868, "filemap_range_has_page" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb54f49ed, "__folio_batch_release" },
	{ 0x6b24f366, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19675713, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2e84f56d, "__trace_trigger_soft_disabled" },
	{ 0x2d559bac, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x24a448fd, "iov_iter_advance" },
	{ 0xd8b3b723, "trace_event_printf" },
	{ 0x519d9222, "xas_find" },
	{ 0xee659011, "folio_redirty_for_writepage" },
	{ 0xda53d0c8, "iov_iter_folio_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8188821e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9215f8eb, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2f3ddfc, "invalidate_inode_pages2_range" },
	{ 0xb54c69b3, "wbc_attach_and_unlock_inode" },
	{ 0xfa36eb85, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x53178a3, "remove_proc_subtree" },
	{ 0x62d210a1, "folio_clear_dirty_for_io" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0xb009329e, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc1c50601, "__filemap_set_wb_err" },
	{ 0x985b9b16, "__filemap_get_folio" },
	{ 0xedc4a3cf, "filemap_invalidate_inode" },
	{ 0x9c60bca6, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xcc33b307, "iov_iter_extract_pages" },
	{ 0xfdd5e68, "copy_page_from_iter_atomic" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xae78a097, "__folio_swap_cache_index" },
	{ 0x60e389ce, "folio_wait_private_2" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc989644d, "kmem_cache_size" },
	{ 0x215d1593, "mempool_alloc_noprof" },
	{ 0x7397a8c3, "readahead_expand" },
	{ 0xf08dfec4, "__inode_attach_wb" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3f0ad7b7, "__folio_lock_killable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xfc1f784b, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xce585a7, "bpf_trace_run5" },
	{ 0x3c17d33b, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x840d2e42, "file_update_time" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe7641220, "kmem_cache_free" },
	{ 0x388bf323, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa9b7e755, "trace_event_reg" },
	{ 0xcb5f3f00, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd55f0cb, "__folio_start_writeback" },
	{ 0x6a659799, "bpf_trace_run1" },
	{ 0x3916023c, "folio_end_writeback" },
	{ 0x9a819359, "folio_alloc_noprof" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0xa2d0c01d, "proc_mkdir" },
	{ 0x602be6a0, "inode_dio_wait_interruptible" },
	{ 0xf2a98d9c, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x7a47df9, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x9d7c774f, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xe9c527b8, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x35e290a5, "__kmem_cache_create_args" },
	{ 0xbda98b10, "writeback_iter" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x7d385459, "set_page_dirty" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe1ded608, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x9e0eebd9, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xd85263a0, "filemap_fdatawait_range" },
	{ 0x258c8901, "seq_write" },
	{ 0x9f0fb109, "__folio_put" },
	{ 0x9678ad3f, "remove_proc_entry" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94f6152c, "seq_printf" },
	{ 0xc9f3468c, "iov_iter_zero" },
	{ 0x90d9cd1, "touch_atime" },
	{ 0xe00747b5, "filemap_read" },
	{ 0xfcd218c2, "__percpu_down_read" },
	{ 0x784ff52e, "balance_dirty_pages_ratelimited_flags" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xefffd9b0, "filemap_dirty_folio" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb72e1ae7, "rcuwait_wake_up" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x7edf1dbc, "iov_iter_xarray" },
	{ 0xbec0c8e7, "proc_create_single_data" },
	{ 0x8b688512, "filemap_write_and_wait_range" },
	{ 0x2841ebf8, "folio_wait_writeback_killable" },
	{ 0x7b3b682c, "mempool_init_noprof" },
	{ 0x4e6ff4ab, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x380b7cf, "generic_write_checks" },
	{ 0x9d6e6fc, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7816fe54, "proc_create_seq_private" },
	{ 0xcbcb2243, "folio_wait_private_2_killable" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x157e799, "iov_iter_npages" },
	{ 0x5a2b9e23, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0x34482aa5, "mempool_exit" },
	{ 0xb682731b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3BC54CB8330F5DE77046493");
MODULE_INFO(rhelversion, "10.1");
