#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x447e0c5c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0xae8f684d, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x5ae48206, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xbae89218, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x1b25f791, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xa5d3daa3, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0xbecc7b76, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x0a2f5f95, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xdea85bbf, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xcea4aa1b, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x07c04129, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x757db15b, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xd8fad95b, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x320a281e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x2eb232c4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xaf2fabbd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x0a7b8f8b, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x448ffb27, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x25e1d1a0, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x324619c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xfc1f784b, "perf_trace_run_bpf_submit" },
	{ 0x9e0eebd9, "trace_event_buffer_reserve" },
	{ 0xb009329e, "trace_event_buffer_commit" },
	{ 0x2e84f56d, "__trace_trigger_soft_disabled" },
	{ 0x19675713, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0xd8b3b723, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x6a659799, "bpf_trace_run1" },
	{ 0xfa36eb85, "bpf_trace_run2" },
	{ 0x31c2d01, "sk_error_report" },
	{ 0x41cb12c5, "ip_icmp_error" },
	{ 0x17afe98f, "ipv6_icmp_error" },
	{ 0x13def3dd, "sock_create_kern" },
	{ 0x6fbf32ff, "kernel_bind" },
	{ 0x21c83b40, "kernel_connect" },
	{ 0xb243d47, "udp_sock_create6" },
	{ 0x381bc4b2, "kernel_sock_shutdown" },
	{ 0xd79a73ab, "sock_release" },
	{ 0x9fe77d98, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0x77b0b846, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2d4415c, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0x990498e5, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc6747c4e, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0x2de8e061, "sk_skb_reason_drop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5354b1bd, "__pskb_pull_tail" },
	{ 0x7777be2a, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6b493e0, "udp_set_csum" },
	{ 0xa09ee6ba, "ip_queue_xmit" },
	{ 0xa26711e6, "udp6_set_csum" },
	{ 0xceef4f, "inet6_csk_xmit" },
	{ 0x896bc5a5, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa97ff812, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0xcaa53bc9, "sockfd_lookup" },
	{ 0x9dc60343, "lock_sock_nested" },
	{ 0x5e879487, "release_sock" },
	{ 0x1c756962, "fput" },
	{ 0xbf8fdee9, "setup_udp_tunnel_sock" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xa9b7e755, "trace_event_reg" },
	{ 0x8188821e, "trace_event_raw_init" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "10.1");
