#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xa6240661, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x21842920, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xa6c8d4f8, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x3dc488f7, "");
SYMBOL_CRC(gss_mech_put, 0xc9bddb35, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x38728e35, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x800e6789, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2356828, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xf4ef394a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8da86ab1, "vmemmap" },
	{ 0xe1952674, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xead1eb2f, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xedeaa7cd, "bpf_trace_run4" },
	{ 0xf4131996, "xdr_stream_decode_opaque_auth" },
	{ 0x4144a1e8, "param_ops_uint" },
	{ 0x5429feb7, "xdr_write_pages" },
	{ 0x5d27ef21, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd01265d2, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x35f7ff44, "xdr_inline_decode" },
	{ 0x6e15a987, "cache_create_net" },
	{ 0x721a4c3c, "rpcauth_destroy_credcache" },
	{ 0x19675713, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x4b94762e, "bpf_trace_run6" },
	{ 0x77b482ba, "rpc_net_ns" },
	{ 0x1a7ddc74, "read_bytes_from_xdr_buf" },
	{ 0x2e84f56d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xd8b3b723, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xcc7800eb, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8188821e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x299ae54d, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xfa36eb85, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x919f63b4, "xdr_truncate_decode" },
	{ 0x6396120e, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc16de547, "__xdr_commit_encode" },
	{ 0x6e331441, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x5460b7d, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x2422f444, "__put_cred" },
	{ 0x95f978e0, "register_pernet_subsys" },
	{ 0xb009329e, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6128dc78, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x481c82c3, "rpc_release_client" },
	{ 0xe7cb3219, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb4be5b29, "svc_auth_register" },
	{ 0x75efde9a, "xdr_stream_encode_opaque_auth" },
	{ 0x6d073f14, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x73f77613, "rpc_destroy_pipe_data" },
	{ 0xd93b25fa, "__free_pages" },
	{ 0x42ef8b2d, "rpc_pipe_generic_upcall" },
	{ 0x33702a51, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x21a18834, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4f241e41, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xfc1f784b, "perf_trace_run_bpf_submit" },
	{ 0x5aee14e3, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x164b5a87, "rpcauth_init_credcache" },
	{ 0xcac70828, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x1c4db72d, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa9b7e755, "trace_event_reg" },
	{ 0x64e87baf, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb7b53605, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb866f56a, "rpc_create" },
	{ 0x6a659799, "bpf_trace_run1" },
	{ 0x582a7bcc, "rpc_call_sync" },
	{ 0x5f32624, "from_kuid" },
	{ 0xe09d81fa, "unregister_pernet_subsys" },
	{ 0x19c5d5e5, "rpc_queue_upcall" },
	{ 0x363ba18f, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8140546e, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x1dbb8d9a, "svcauth_unix_set_client" },
	{ 0xc4c7919b, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x34984710, "make_kgid" },
	{ 0xe63c322e, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x41477f7e, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x76c2deae, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe1ded608, "bpf_trace_run3" },
	{ 0x72437141, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x26a992bd, "rpc_mkpipe_dentry" },
	{ 0xd0836d59, "rpc_mkpipe_data" },
	{ 0xa918e869, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e0eebd9, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x43118e4d, "cache_register_net" },
	{ 0x9f931c63, "init_user_ns" },
	{ 0x70e8666e, "xdr_inline_pages" },
	{ 0x9f0fb109, "__folio_put" },
	{ 0x9678ad3f, "remove_proc_entry" },
	{ 0x6129e6aa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x2d697dc4, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x66463e32, "alloc_pages_noprof" },
	{ 0x93e6a3cd, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7395ce4a, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x5328a55d, "from_kuid_munged" },
	{ 0xf2705d54, "rpcauth_init_cred" },
	{ 0xf51bf071, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xec366a33, "cache_destroy_net" },
	{ 0x484c7d8d, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x667e6f8a, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x831fdc2, "sunrpc_cache_update" },
	{ 0x95e51135, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xfc7401c5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x26e336e7, "auth_domain_put" },
	{ 0x477d00ce, "rpcauth_unwrap_resp_decode" },
	{ 0xee5a8880, "rpcauth_register" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.1");
